package ru.myitschool.work.domain.admin;

import androidx.annotation.NonNull;

import java.util.List;
import java.util.function.Consumer;

import ru.myitschool.work.data.dto.EmployeeDataDto;
import ru.myitschool.work.data.dto.EntryDto;
import ru.myitschool.work.domain.entities.Status;

public interface AdminRepository {
    void amIAdmin(@NonNull String auth, @NonNull Consumer<Status<Void>> callback);
    void getEmployeeInfo(@NonNull String auth, @NonNull String login, @NonNull Consumer<Status<EmployeeDataDto>> callback);
    void setBlockCondition(@NonNull String auth, @NonNull String login, @NonNull Boolean condition, @NonNull Consumer<Status<Void>> callback);
    void getEmployeeEntryList(@NonNull String auth, @NonNull String login, @NonNull Consumer<Status<List<EntryDto>>> callback);
    void isEmployeeBlock(@NonNull String auth, @NonNull String login, @NonNull Consumer<Status<Boolean>> callback);
}
